> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate Filecoin Custody Wallet Key

> Replaces a Filecoin wallet's stored signer key, then re-verifies the new signer on-chain and refreshes multisig config.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/rotate-filecoin-custody-wallet-key
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/rotate-filecoin-custody-wallet-key:
    post:
      operationId: rotateFilecoinCustodyWalletKey
      summary: Rotate Filecoin Custody Wallet Key
      description: >-
        Replaces a Filecoin wallet's stored signer key, then re-verifies the new
        signer on-chain and refreshes multisig config.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RotateFilecoinCustodyWalletKeyRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RotateFilecoinCustodyWalletKeyResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    RotateFilecoinCustodyWalletKeyRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        custodyWalletID:
          type: string
          format: uuid
        newSignerPrivateKey:
          type: string
          pattern: ^[0-9a-fA-F]{64}$
      required:
        - custodyWalletID
        - newSignerPrivateKey
    RotateFilecoinCustodyWalletKeyResponse:
      type: object
      properties:
        custodyWalletID:
          type: string
        signerAddress:
          type: string
        isSignerAuthorized:
          type: boolean
        threshold:
          type:
            - number
            - 'null'
        signerCount:
          type:
            - integer
            - 'null'
      required:
        - custodyWalletID
        - signerAddress
        - isSignerAuthorized
        - threshold
        - signerCount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
